<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Author
 * @copyright   Copyright (c) 2021, WeCodeArt Framework
 * @since 		3.9.5
 * @version		5.0.0
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Markup\SVG;
use function WeCodeArt\Functions\get_prop;

/**
 * @param   object  $author Author
 */

$classnames = [ 'wp-block-post-author' ];

if( $value = get_prop( $attributes, 'className', false ) ) {
    $classnames[] = $value;
}

if( $value = get_prop( $attributes, 'itemsJustification', false ) ) {
    $classnames[] = 'justify-content-' . $value;
}

if( $value = get_prop( $attributes, 'textAlign', false ) ) {
    $classnames[] = 'text-' . $value;
}

?>
<div class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>">
    <?php

    SVG::render( 'user', [
        'class' => 'wp-block-post-author__icon d-inline-block me-1'
    ] );

    ?>
    <?php if( $byline = get_prop( $attributes, 'byline', false ) ) : ?>
    <span class="wp-block-post-author__byline screen-reader-text"><?php
    
    echo esc_html( $byline );

    ?></span>
    <?php endif; ?>
    <?php if( get_prop( $attributes, 'isLink', true ) ) : ?>
    <a class="wp-block-post-author__link" href="<?php echo esc_url( $author->url ); ?>" rel="author">
    <?php endif; ?>
        <span class="wp-block-post-author__name"><?php
        
        echo esc_html( $author->name ); 
    
        ?></span>
    <?php if( get_prop( $attributes, 'isLink', true ) ) : ?>
    </a>
    <?php endif; ?>
</div>