<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Terms
 * @copyright   Copyright (c) 2021, WeCodeArt Framework
 * @since 		5.0.0
 * @version		5.0.0
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Markup\SVG;
use function WeCodeArt\Functions\get_prop;

/**
 * @param   int     $primary    Primary Category
 * @param   array   $attributes
 */

$classnames         = [ 'wp-block-post-terms' ];

if( isset( $primary ) ) {
    $classnames[]   = 'wp-block-post-terms--has-primary';
}

if( $value = get_prop( $attributes, 'textAlign', false ) ) {
    $classnames[]   = 'text-' . $value;
}

if( $value = get_prop( $attributes, 'className', false ) ) {
    $classnames[] = $value;
}

$icon_name = ( isset( $primary ) || $count === 1 ) ? 'folder' : 'folders';
if( isset( $icon ) ) {
    $icon_name = $icon;
}

?>
<div class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>"><?php

    SVG::render( $icon_name, [
        'class' => 'wp-block-post-terms__icon d-inline-block me-1'
    ] );

    ?>
    <span class="screen-reader-text"><?php

        esc_html_e( 'Posted in', 'wecodeart' );
    
    ?></span><?php
    if( isset( $primary ) ) {
        
        printf( 
            '<a href="%s" rel="category tag">%s</a>', 
            esc_url( get_term_link( $primary ) ),
            esc_html( get_term_by( 'id', $primary, 'category' )->name )
        );

    } else {

        echo wp_kses_post( $terms );

    }
?></div>